import { ChartService } from '../../services/chart.service';
export class Line {
    componentDidLoad() {
        this.anjLineDidLoad.emit();
    }
    async init() {
        const color = this.color || ChartService.colors[this.index || 0];
        const line = ChartService.addLine(this.svg, this.x, this.y, this.data, color);
        ChartService.addArea(this.svg, line, this.y, this.data, color);
        ChartService.addPoints(this.svg, this.x, this.y, this.data, color);
    }
    static get is() { return "anj-line"; }
    static get properties() { return {
        "color": {
            "type": String,
            "attr": "color"
        },
        "data": {
            "type": "Any",
            "attr": "data"
        },
        "element": {
            "elementRef": true
        },
        "index": {
            "type": Number,
            "attr": "index"
        },
        "init": {
            "method": true
        },
        "svg": {
            "type": "Any",
            "attr": "svg"
        },
        "x": {
            "type": "Any",
            "attr": "x"
        },
        "y": {
            "type": "Any",
            "attr": "y"
        }
    }; }
    static get events() { return [{
            "name": "anjLineDidLoad",
            "method": "anjLineDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
