import { Selection } from '../d3-bundle';
import { DataConfig } from '../interfaces/DataConfig';
import { Area, Line } from 'd3-shape';
import { CoordinateData } from '../interfaces/CoordinateData';
import { ScaleLinear } from 'd3-scale';
export declare class ChartService {
    static colors: string[];
    protected static animationLength: number;
    protected static focusLength: number;
    private static halfDayMs;
    private static halfWeekMs;
    private static halfMonthMs;
    private static halfYearMs;
    private static yPad;
    static addArea(svg: any, line: any, y: any, data: CoordinateData[], color: string): Area<any>;
    static addLine(svg: any, x: any, y: any, data: CoordinateData[], color: string): Line<any>;
    static addOverlay(svg: any, dataConfig: DataConfig): SVGRectElement;
    static addPoints(svg: any, x: any, y: any, data: CoordinateData[], color: string): void;
    static addRevealAnimation(svg: any, dataConfig: DataConfig): SVGRectElement;
    static addXAxis(svg: any, dataConfig: DataConfig): any;
    static addYAxis(svg: any, dataConfig: DataConfig): ScaleLinear<number, number>;
    static calculateInterval(data: CoordinateData[]): any;
    static createSVG(dataConfig: DataConfig): Selection<SVGGElement, any, SVGElement, any>;
    static determineDateRange(dataConfig: DataConfig): Date[];
    static domainPadding(data: CoordinateData[]): number;
    static getIndexOfClosestPoint(x: any, data: any): number;
    static hideFocus(svg: any): void;
    static showFocus(svg: any, activeIndex: any): void;
    private static calculateLeftPad;
    private static calculateTicks;
}
